2006-10-24  Richard Dale  <rdale@foton.es>

	* The TQGL* classes were not being built by default, as a few years ago
	  KDE didn't use OpenGL by default. So enable them by default now 3D
	  is pretty standard.

2006-10-24  Richard Dale  <rdale@foton.es>

	* Fixed compiler warning in Invocation.java reported by Rafael Lopez

2006-02-14  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added TQStyleOption.h and TQStyleOption.cpp sources which were
	  missing. Fixes problem reported by Sekou DIAKITE

2005-10-26  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed TQPointArray.begin() and end() methods as they don't compile
	  on 64 bit machines, and Iterators can't be used in QtJava anyway.
	  Fixes problem reported by Adeodato S.

2005-10-23  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the java bindings from the Qt 3.3.5 headers

2005-03-13  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed TQImage::jumpTable() as it's too low level for java
	* Fixed prototype in JavaSlot.h which didn't compile on Solaris - thanks
	  to Shea Martin for reporting these problems.

	CCMAIL: kde-java@kde.org

2005-02-21  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed unused sources
	* Removed the TQFont::cacheStatistics method as it doesn't exit in Qt Embedded

2005-02-01  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the QtJava bindings from the Qt 3.3.4 headers

2004-10-07  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Fixed problem reported by David Goodenough where the Java slot type to C++ slot
   type table contained spaces in the C++ type signature.

 CCMAIL: kde-java@kde.org

2004-06-07  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Regenerated TQImage.bits() and colorTable() to use Michal Ceresna's kalyptus patch
 * Regenerated TQCheckListItem to remove unwanted copy constructor

2004-06-06  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * When a java null is passed as a TQString argument, it was converted to (TQString*)0L. 
   Null java strings are now converted to (TQString*)&TQString::null.
   Fixes crash reported by Maik Schulz when passing a null to KURLRequesterDlg.getURL()

2004-04-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Several more missing java sources re-added to the KDevelop project

2004-04-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

 * Added QtSupport.java to the project again as KDevelop didn't add the
	  source name to org/kde/qt/Makefile.am. Reported by Dominique.

2004-03-24  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added qtjava/javalib/org/kde/qt/qtjava.java to the Makefile.am as it was missing.
	* Changed the qtjava.jar dependency rule in javalib/Makefile.am to use
	  'classnoinst.stamp' rather than 'classjava.stamp' as that is now created 
	  instead as a result of Dominique's recent fixes. 

2004-01-20  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the TQTableItem binding from the Qt 3.3 header, as the 
	  TQTableItem::content() method has been removed. Thanks to Adrian Schroeter
	  for the error report.

2004-01-12  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added JavaSlot proxy types for various new signal types in Qt 3.2.3
	  - a bit late, but this adds critical missing functionality needed for the release

2004-01-05  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Removed TQDomNodeList class from the project as it's marshalled to a java.util.ArrayList
	* When a java method needed to be renamed, because in the type signature 
	  only the return type differed in C++, when that isn't allowed in java,
	  the JNI function name was not using the new name.
	* Fixed error in JNI function names when the C++ method had an underscore.

2004-01-03  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added TQSyntaxHighlighter class

2003-12-30  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Improved code generation to fix some compiler warnings
	* Added some java sources missing from the Makefile.am
	* Added java long to C++ long long conversions

2003-12-21  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Regenerated the QtJava bindings from the Qt 3.2.3 headers
	  - Code generation greatly improved, and no manual edits or patches needed 
	    anymore. The bindings code could now be generated as part of the tdebindings
	    configure, and doesn't need to be checked into the cvs.
	  - Added operator methods, and named them 'op_*', eg op_plus().
	  - Various friend functions in the global namespace, added as static methods 
	    to the Qt class
	  - Added new classes TQEventLoop, TQHttpHeader, TQHttpRequestHeader,
	    TQHttpResponseHeader, TQSpinWidget, TQSplashScreen and TQToolBox
	  - Removed Accessibility and TQStyle* classes
	  - Updated the example programs to work with the current bindings

2003-10-10  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added fix from Michal Ceresna to prevent Windows crash on application exit

2003-09-24  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added a patch from gabor to fix Windows build problems, and a bug in TQPointArray.putPoints()

2003-06-25  Richard Dale  <Richard_Dale@tipitina.demon.co.uk>

	* Added polish() virtual method callbacks, so code generated by the juic tool works correctly

2003-01-25    <Richard_Dale@tipitina.demon.co.uk>

	* uchar types were wrongly being converted to Strings in TQSizePolicy, they should be shorts (reported by Marco Ladermann)

2003-01-17    <Richard_Dale@tipitina.demon.co.uk>

	* Fixed bug in conversion of signal type 'int,int,int,const TQPoint&' to java type in TQTable (reported by Felix Rodriguez).

2002-12-30    <duke@tipitina>

	* License changed back from LGPL to GPL

2002-11-26    <duke@tipitina.demon.co.uk>

	* Changed license from GPL to LGPL.
        * Removed redundant event handling interfaces

2002-11-24    <duke@tipitina.demon.co.uk>

	* Added missing TQGb18030Codec class

2002-11-08  Richard Dale <duke@tipitina.demon.co.uk>

	* QtJava bindings regenerated from Qt 3.1 headers. 
	* SWT-style dispose() and isDisposed() methods added
	* Qt Eventhandlers can be called from overriding java methods via super.<method name>.

2002-05-09  Richard Dale <duke@tipitina.demon.co.uk>
	* Header filename qgbkcodec.h renamed as qgb18030codec.h
2002-04-29  Richard Dale <duke@tipitina.demon.co.uk>
	* In TQApplication, the argc value passed to Qt was one less than
         it should have been - fix from Marcel Volaart
2002-04-18  Richard Dale <duke@tipitina.demon.co.uk>
	* 'javalib' top level test program is no longer installed
2002-03-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Native code event handlers are no longer called in Invocation.java
2002-03-22  Richard Dale <duke@tipitina.demon.co.uk>
	* Added 'Object,byte[]' slot invocations to Invocation.java
	* Added fully qualified name expansion to some KDE signal types
	* Added missing constructors to TQGridLayout
2002-03-15  Richard Dale <duke@tipitina.demon.co.uk>
	* Recently introduced link error in TQObject.tr() fixed
2002-03-14  Richard Dale <duke@tipitina.demon.co.uk>
	* Changed TQObject.tr() and TQObject.trUtf8() to static methods
2002-03-11  Richard Dale <duke@tipitina.demon.co.uk>
	* More JNI local reference leak fixes
2002-03-10  Richard Dale <duke@tipitina.demon.co.uk>
	* Added new qtjava.initialize() method and changed sample code to use it.
2002-03-07  Richard Dale <duke@tipitina.demon.co.uk>
	* Added widgets and wizard Qt examples
	* Added TQStyleFactory class
	* Fixed some JNI local reference leaks in QtSupport.cpp and  JavaSlot.cpp
	* Fixed validate() methods in TQValidator classes to use 'StringBuffer, int[]'
         args correctly
	* Added missing constructors and methods to TQListViewItem, TQStatusBar, 
         TQVBoxLayout and TQWizard
	* Added eventFilter() callback to TQMainWindow. Call to super in an event 
         filter now possible.
2002-03-05  Richard Dale <duke@tipitina.demon.co.uk>
	* Added tux Qt example - surely the most important example yet?
	  It is now possible to drag a large penguin with your mouse without
         knowing whether it is powered by C++, java or herring..
	* Added constructors to TQBitmap for TQPixmap and TQImage input types. 
         This conversion was only available in C++ via weird operator overloading 
         on assignment to an existing TQBitmap.
2002-03-05  Richard Dale <duke@tipitina.demon.co.uk>
	* Added table/small-table-demo and textedit Qt examples
	* Added missing constructors to TQAction and TQTextEdit
	* Regenerated TQFontDatabase class to add methods returning TQValueList<int>, 
         translated to int[] in java.
	* Slot types 'TQAction*', 'TQDropEvent*,const TQValueList<TQIconDragItem>&' and 
         'const TQValueList<TQUrlInfo>&,TQNetworkOperation*' now work.
	* Added QtSupport::arrayWithTQIconDragItemList() and 
         QtSupport::arrayWithTQUrlInfoList() conversion methods.
2002-03-04  Richard Dale <duke@tipitina.demon.co.uk>
	* Added showimg, sound, splitter and tabdialog Qt examples
	* Changed name of C++ TQPixmap::loadFromData() with enum 'ColorMode 
         parameter to TQPixmap.loadFromDataWithMode() in java, to distinguish it
         from the method with the same name with a conversion_flags' int parameter.
	* Added missing methods and constructors to TQComboBox, TQFileDialog, TQGrid, 
         TQMessageBox and TQTabDialog
2002-03-04  Richard Dale <duke@tipitina.demon.co.uk>
	* Added richtext, rot13 and scribble Qt examples
	* Added TQApplication.args(), removed argv() and argc() methods
	* Added missing constructors. TQColorDialog.getRgba() now has a boolean[] 
         'ok' parameter, rather than int[]
	* Added missing TQPen and TQTextView constructors
	* Added C++ TQMemArray<TQRect> to java ArrayList conversion, and implemented
         TQRegion.rects() method.
2002-03-03  Richard Dale <duke@tipitina.demon.co.uk>
	* Added missing inline methods to TQColor
	* Added Qt qwerty and rangecontrols examples
	* Removed finalize() methods from codec classes, as they shouldn't 
         be deleted.
	* Changed readBlock() methods to use a mutable StringBuffer, rather 
         than String.
	* Added missing TQLCDNumber constructor
	* Fixed incorrect value for Qt.Vertical
2002-03-02  Richard Dale <duke@tipitina.demon.co.uk>
	* Added qmag Qt example
	* Added missing TQFileDialog.getSaveFileName() methods
2002-03-02  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt menu, popup, progressbar and qfd examples
	* Added missing TQPopupMenu and TQProgressBar constructors.
2002-02-28  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt MDI example
	* Added TQObject.emit(String,int) method
	* Added TQWorkspace missing constructor
	* qtjava: fixed bug in qtjava.toNormalizedTypeSignature() for signature 
         lists of more than one type.
	* JavaSlot: fixed JNI local reference memory leaks. Added 'String,int' 
         java slot type.
	* TQToolButton: Fixed java slot/signal connection bug
	* QtSupport: Fixed JNI local reference memory leaks.
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added lineedits and listbox Qt examples
	* Added missing TQSpinBox constructor
	* Fixed TQListBox method name clash. TQListBox.setRowMode(int) and 
         TQListBox.setColumnMode(int) now called setNumRows() and setNumColumns()
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt layout example
	* Added missing constructor to TQMenuBar
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt iconview example
	* Fixed error in C++ signal type signature for TQDropEvent plus ArrayList
         of TQIconDragItems
2002-02-27  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt helpviewer example
	* Added missing constructors to TQComboBox, TQSimpleRichText, TQTextBrowser,
         TQToolBar and TQUrl
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt hello example
	* Added missing TQPixmap.fill() methods
	* Added missing TQPainter.drawText() methods
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt Forever graphics example
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt drawlines example
2002-02-26  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt Drag and Drop example - dragdrop
	* Fixed bug in TQMovie slot/signal connections. Added new TQRect and TQSize 
         slot types.
	* QtSupport::mimeSource() added to correctly cast to 'TQMimeSource *' with 
         multiple inheritance. 
	* Added missing TQImageDrag constructors
	* Changed TQTextDrag.decode() methods to use a mutable StringBuffer. Added 
         missing constructors.
	* Changed TQUriDrag.decode() methods to use mutable ArrayLists.
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt Digital Clock, dclock, example
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added cursor Qt example
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added checklists Qt example
	* Fixed crash in TQCheckListItem finalizer
	* Improved QtSupport::arrayWithTQListViewItemList so that it uses 
         TQListViewItem.rtti() to identify TQListViewItem or TQCheckListItems.
2002-02-25  Richard Dale <duke@tipitina.demon.co.uk>
	* Added buttongroups Qt example
	* Added missing constructors to TQButtonGroup
2002-02-24  Richard Dale <duke@tipitina.demon.co.uk>
	* Added biff example
	* Changed TQPixmap.loadFromData() and TQImage.loadFromData() to take a char[]
         data argument, rather than byte[].
2002-02-22  Richard Dale <duke@tipitina.demon.co.uk>
	* Added TQIODevice #defined constants as java static final ints
	* Added missing TQGridlayout constructor
	* TQPopupMenu - added missing methods, fixed java signal/slot connection bug
	* Added TQListView.itemList() and TQListViewItem.itemList() methods returning 
         ArrayList with TQListViewItems.
	* Qt 'addressbook' example converted to java
2002-02-21  Richard Dale <duke@tipitina.demon.co.uk>
	* Added extra Qt examples - aclock, picture, demo/sql, demo/widgets
	* Various missing java methods added
2002-02-13  Richard Dale <duke@tipitina.demon.co.uk>
	* TQObject - Added i18n() as a synonym for tr().
	* TQPaintDevice - dded missing bitBlt() methods
	* TQPopupMenu - added missing insertItem() methods
	* Added missing TQPointArray(int) constructor
	* QtSupport - Added extra default parameter to C++ -> java array 
         conversions, so an existing java array can be used as a target.
	* Qt tutorials and application example translated from C++ by 
         Emond Papegaaij.
2002-02-12  Richard Dale <duke@tipitina.demon.co.uk>
	* Fixed JNI local reference leaks in event callbacks
2002-02-10  Richard Dale <duke@tipitina.demon.co.uk>
	* Added Qt.dynamicCast().
	* Missing constructors added.
	* TQWMatrix.invert() now takes a boolean[] arg, rather than int[].
	* Added mapping of TQCanvasItemList onto java.util.ArrayList
2002-01-31  Richard Dale <duke@tipitina.demon.co.uk>
	* Java null strings shouldn't be converted to TQString::null by 
         QtSupport::toTQString, but to 0 instead
2002-01-23  Richard Dale <duke@tipitina.demon.co.uk>
	* Fixed TQAccel.connectItem() and disconnectItem() methods.
	* Fixed bug in TQObject.emit() with boolean argument
	* Added extra constructor to TQLabel
2001-12-18  Richard Dale <duke@tipitina.demon.co.uk
	* readLine() parameters changed from String to a mutable StringBuffer
	* The TQFontDialog.getFont() methods now return a result in a boolean[]
         parameter
	* Added Qt networking classes for completeness 	
2001-12-08  Richard Dale <duke@tipitina.demon.co.uk
	* Added missing TQKeySequence.cpp/.h
2001-12-07  Richard Dale <duke@tipitina.demon.co.uk
	* Added TQSplitter.sizes(), setSizes().
        * Added java int[] <--> C++ TQValueList<int> conversions
2001-12-04  Richard Dale <duke@tipitina.demon.co.uk
	* A TQPopupMenu wrapped C++ instance is only deleted if 
          'parentWidget(FALSE) == 0'.
          The test 'parentWidget(TRUE) == 0' is always true for TQPopupMenus.
	* Qt methods which returned references to null C++ objects were
          causing a seg fault.
2001-11-21  Richard Dale <duke@tipitina.demon.co.uk
	* Java bindings regenerated for Qt 3.0.0
2001-10-11  Richard Dale <duke@tipitina.demon.co.uk
	* Bindings regenerated for Qt 3.0.0 beta 6.
          New Qt 3 classes added.
2001-07-28  Richard Dale <duke@tipitina.demon.co.uk
	* Added missing _qt instance variable to TQPointArray.java
2001-07-26  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed bug in C++ signal to java slot connections introduced during
          recent code clean up.
        * Added missing TQLabel(String) constructor
2001-07-22  Richard Dale <duke@tipitina.demon.co.uk
	* Moved Java<->C++ slot/signal look up code from QtSupport to 
          JavaSlot class. 
        * Fixed string conversion bugs on Intel platforms in
          the following QtSupport methods: validateDelegate(), fixupDelegate(), 
          toTQStrList(), toTQStringList(), arrayWithTQStringLIst(). C
        * Windows port by Eddie Chan <eddie.chan@bigfoot.com>, thanks Eddie!
          All platform specific X11 methods removed.
        * Class constants replaced with #defines for JAVA_YEAR, JAVA_MONTH, JAVA_DAY.
2001-06-28  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed TQString to Java string conversion on JVMs expecting little endian
          unicode to be passed to the NewString() JNI function
2001-06-18  Richard Dale <duke@tipitina.demon.co.uk
	* Fixed memory leak in Java to TQString string conversion
2001-06-13  Richard Dale <duke@tipitina.demon.co.uk
	* Commented out methods which didn't compile against Qt 2.2.4.
2001-06-10  Richard Dale <duke@tipitina.demon.co.uk
	* Added workround for non-portable JNI unicode string function.
2001-06-05  Richard Dale <duke@tipitina.demon.co.uk
	* Added workround for TQString unicode constructor bug. A Java string
          is converted to a TQString via UTF8. Fixed bug in TQTimer single shot
          method - added connection to target Java slot.'
2001-05-31  Richard Dale <duke@tipitina.demon.co.uk
	* C++ signals can be connected to C++ signals. Slots can be inherited.
          Possible fix for platform dependent Java to TQString conversion bug.
          Some extra constructors added. A 'qtjava.jar' file is now built and 
          installed.
2001-05-16  Richard Dale <duke@tipitina.demon.co.uk
	* Add TQRegExp class. Headers QtSupport.h and JavaSlot.h are installed in 
	  include/qtjava.
2001-05-07  Richard Dale <duke@tipitina.demon.co.uk
	* Sources regenerated for KDE 2.2. 
        * TQByteArray/QCStringList now converted correctly.
        * String conversions improved, no longer inline, but all methods in 
          QtSupport.h/cpp.
        * Argc/Argv parameters all have dummy java argv[0] added. 
        * TQDates are now converted to java.util.Calendar, rather than java.util.Date. 
        * Event handler callbacks are now generated for inherited event methods, 
          as well as for the current class. 
        * The address of a C++ Qt instance is held in a 64 bit java long, rather 
          than a 32 bit integer, so the runtime work on 64 bit architectures now.
2001-04-22  Richard Dale <duke@tipitina.demon.co.uk
	* Moved java sources from qtjava/javalib/javasrc to qtjava/javalib/org/kde/qt, and
fixed the install target to install the .class files in $(kde_libraries)/java.
Wed Nov 13 14:30:00 2000  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Beta 0.1 baseline
	* Runs Qt Scribble
Wed Nov 30 23:45:00 2000  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Beta 0.2 baseline
	* Added 50 Qt/KDE signal types
	* Added signal to signal connections
	* Added eventFilter() callbacks for TQObject and TQWidget subclasses
	* Improved code generation for strings and lists. Now more compact
	and doesn't seg fault when passed nulls
	* Added uic Java code generation as a patch
	* Added tqDebug(), tqWarning() and tqFatal().
	* Qt classes are in the package 'org.trinitydesktop.qt'
	* KDE classes are in the package 'org.trinitydesktop.koala'.
	* Fixed bug where widgets with parents were being destroyed twice.
Fri Feb 9 17:00:00 2001  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Added missing TQMenuData class
	* Fixed bug which prevented protected slots and event handlers from being
	called.
	* Added method for handling boolean callbacks such as TDEMainWindow::queryClose()
Tues Feb 20 12:40:00 2001  Richard Dale <Richard_Dale@tipitina.demon.co.uk>
	* Beta 0.3 baseline
	* Regenerated sources for Qt 2.2.4 and rebuilt
	* Added TQValidator::validate() and fixup() callbacks
